public class TestMyHashMap {
  public static void main(String[] args) {
    // Tworzenie odwzorowania
    MyMap<String, Integer> map = new MyHashMap<>();
    map.put("Szwed", 30);
    map.put("Adamczyk", 31);
    map.put("Lasocki", 29);
    map.put("Cierniak", 29);
    map.put("Szwed", 65);

    System.out.println("Wpisy w odwzorowaniu: " + map);

    System.out.println("Wiek użytkownika Lasocki: " +
      map.get("Lasocki"));

    System.out.println("Czy nazwisko Szwed występuje w odwzorowaniu? " +
      map.containsKey("Szwed"));
    System.out.println("Czy wiek 33 występuje w odwzorowaniu? " +
      map.containsValue(33));

    map.remove("Szwed");
    System.out.println("Wpisy w odwzorowaniu: " + map);

    map.clear();
    System.out.println("Wpisy w odwzorowaniu: " + map);
  }
}